Documentation Index

Fetch the complete documentation index at: https://learn.servitly.com/llms.txt

Use this file to discover all available pages before exploring further.

Create new product-model-part

Prev Next
Post
/inventory/productModelParts

Creates a new product-model-part, i.e. a component of a product-model.
Parts can be nested through parentProductModelPartId in order to describe the structure of the product, can be placed within the technical scheme of the parent element and can declare their own thing-definition when the component is connected on its own.

Required permissions: READ_PRODUCT_MODEL, WRITE_PRODUCT_MODEL.

Security
HTTP
Type bearer
Header parameters
X-Servitly-Tenant
stringRequired

The name of the tenant (e.g. acme).

Body parameters

The details of the product-model being created.

Expand All
object
name
string Required

The product-model-part name.

description
string

The product-model-part description text.

technicalDescription
string

The product-model-part technical description text.

technicalSchemes
Array of object

The technical schemes associated with this product-model.

object
code
string

The schema identification code.

name
string

The schema name.

description
string

The schema description text.

imageUrl
string

The schema HTTPS image URL.

contentType
string

The schema image content type. In case of SVG, the schema is embedded into the page HTML and becomes clickable according to positions.

Valid values[ "PNG", "SVG" ]
productModelId
string

The id of the parent product-model.

parentProductModelPartId
string

The id of the parent product-model-part in case of sub-part.

thingDefinitionId
string

The id of the thing-definition with which the product-model-part is associated.

technicalSchemePosition
string

The position identifier within the scheme of the parent element (product model or model part).

Responses
201

Successful creation.

Expand All
object
id
string

The product-model-part object identifier.

name
string

The product-model-part name.

description
string

The product-model-part description text.

technicalDescription
string

The product-model-part technical description text.

technicalSchemes
Array of object

The technical schemes associated with this product-model.

object
code
string

The schema identification code.

name
string

The schema name.

description
string

The schema description text.

imageUrl
string

The schema HTTPS image URL.

contentType
string

The schema image content type. In case of SVG, the schema is embedded into the page HTML and becomes clickable according to positions.

Valid values[ "PNG", "SVG" ]
productModelId
string

The id of the parent product-model.

parentProductModelPartId
string

The id of the parent product-model-part in case of sub-part.

thingDefinitionId
string

The id of the thing-definition with which the product-model-part is associated.

technicalSchemePosition
string

The position identifier within the scheme of the parent element (product model or model part).

400

Request data not valid.

object
message
string

The error response.

ExampleBad request
401

User not authenticated.

object
message
string

The error response.

ExampleUser not authenticated
403

User not authorized.

object
message
string

The error response.

ExampleUser not authorized
429

API call rate limit exceeded.

object
message
string

The error response.

ExampleAPI call rate limit exceeded
500

Internal server error.

object
message
string

The error response.

ExampleInternal Server Error